#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 12
#define STATE_COUNT 203
#define LARGE_STATE_COUNT 18
#define SYMBOL_COUNT 150
#define ALIAS_COUNT 0
#define TOKEN_COUNT 93
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6

enum {
  sym_identifier = 1,
  anon_sym_LPAREN = 2,
  anon_sym_RPAREN = 3,
  anon_sym_LBRACK_RBRACK = 4,
  anon_sym_LBRACK = 5,
  anon_sym_RBRACK = 6,
  anon_sym_DOT = 7,
  anon_sym_COMMA = 8,
  anon_sym_PLUS = 9,
  anon_sym_DASH = 10,
  anon_sym_TILDE = 11,
  anon_sym_BANG = 12,
  anon_sym_STAR = 13,
  anon_sym_SLASH = 14,
  anon_sym_PERCENT = 15,
  anon_sym_LT = 16,
  anon_sym_GT = 17,
  anon_sym_AMP = 18,
  anon_sym_CARET = 19,
  anon_sym_PIPE = 20,
  anon_sym_QMARK = 21,
  anon_sym_COLON = 22,
  sym_comment = 23,
  anon_sym_const = 24,
  anon_sym_command = 25,
  anon_sym_effect = 26,
  anon_sym_event = 27,
  anon_sym_float = 28,
  anon_sym_int = 29,
  anon_sym_itemproperty = 30,
  anon_sym_location = 31,
  anon_sym_object = 32,
  anon_sym_sqlquery = 33,
  anon_sym_string = 34,
  anon_sym_talent = 35,
  anon_sym_vector = 36,
  anon_sym_void = 37,
  anon_sym_struct = 38,
  anon_sym_SEMI = 39,
  anon_sym_case = 40,
  anon_sym_default = 41,
  anon_sym_LBRACE = 42,
  anon_sym_RBRACE = 43,
  anon_sym_else = 44,
  anon_sym_if = 45,
  anon_sym_switch = 46,
  anon_sym_while = 47,
  anon_sym_for = 48,
  sym_do_start = 49,
  anon_sym_continue = 50,
  anon_sym_break = 51,
  anon_sym_EQ = 52,
  sym_hex = 53,
  sym_integer = 54,
  sym_float = 55,
  sym_string_const = 56,
  sym_return = 57,
  sym_addeq = 58,
  sym_plusplus = 59,
  sym_subeq = 60,
  sym_minusminus = 61,
  sym_muleq = 62,
  sym_modeq = 63,
  sym_xoreq = 64,
  sym_andeq = 65,
  sym_andand = 66,
  sym_oreq = 67,
  sym_oror = 68,
  sym_noteq = 69,
  sym_eq = 70,
  sym_lteq = 71,
  sym_sleq = 72,
  sym_sl = 73,
  sym_gteq = 74,
  sym_sr = 75,
  sym_sreq = 76,
  sym_usreq = 77,
  sym_usr = 78,
  sym_pre_if = 79,
  sym_pre_else = 80,
  sym_pre_endif = 81,
  sym_pre_elif = 82,
  sym_pre_include = 83,
  sym_pre_define = 84,
  sym_pre_undef = 85,
  sym_pre_pragma = 86,
  sym_pre_ifdef = 87,
  sym_pre_ifndef = 88,
  sym_pre_warning = 89,
  sym_pre_error = 90,
  sym_object_self_const = 91,
  sym_object_invalid_const = 92,
  sym_source_file = 93,
  sym__external_declaration = 94,
  sym__primary_expression = 95,
  sym__postfix_expression = 96,
  sym_argument_expression_list = 97,
  sym__unary_expression = 98,
  sym__multiplicative_expression = 99,
  sym__additive_expression = 100,
  sym__shift_expression = 101,
  sym__relational_expression = 102,
  sym__equality_expression = 103,
  sym__and_expression = 104,
  sym__exclusive_or_expression = 105,
  sym__inclusive_or_expression = 106,
  sym__logical_and_expression = 107,
  sym__logical_or_expression = 108,
  sym__conditional_expression = 109,
  sym__assignment_expression = 110,
  sym_expression = 111,
  sym_constant_expression = 112,
  sym__qualified_type_specifier = 113,
  sym_type_specifier = 114,
  sym_statement = 115,
  sym_statement_blank_error = 116,
  sym__non_blank_statement = 117,
  sym_labelled_statement = 118,
  sym_case_statement = 119,
  sym_compound_statement = 120,
  sym_statement_list = 121,
  sym_expression_statement = 122,
  sym_selection_statement = 123,
  sym_if_else_start = 124,
  sym_if_start = 125,
  sym_switch_start = 126,
  sym_iteration_statement = 127,
  sym_for_start = 128,
  sym_for_start_start = 129,
  sym_while_start = 130,
  sym__jump_statement = 131,
  sym_return_start = 132,
  sym_declaration = 133,
  sym__init_declarator_list = 134,
  sym__init_declarator = 135,
  sym__init_declarator_identifier = 136,
  sym_function_definition = 137,
  sym_function_declarator = 138,
  aux_sym__function_parameter_list = 139,
  sym__function_parameter_declaration = 140,
  sym_struct_definition = 141,
  sym_struct_declaration_list = 142,
  sym_struct_declaration = 143,
  sym_struct_declarator_list = 144,
  sym_assignment_operator = 145,
  sym_preprocessor_directive = 146,
  sym__preprocessor_include = 147,
  aux_sym_source_file_repeat1 = 148,
  aux_sym_statement_list_repeat1 = 149,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [sym_comment] = "comment",
  [anon_sym_const] = "const",
  [anon_sym_command] = "command",
  [anon_sym_effect] = "effect",
  [anon_sym_event] = "event",
  [anon_sym_float] = "float",
  [anon_sym_int] = "int",
  [anon_sym_itemproperty] = "itemproperty",
  [anon_sym_location] = "location",
  [anon_sym_object] = "object",
  [anon_sym_sqlquery] = "sqlquery",
  [anon_sym_string] = "string",
  [anon_sym_talent] = "talent",
  [anon_sym_vector] = "vector",
  [anon_sym_void] = "void",
  [anon_sym_struct] = "struct",
  [anon_sym_SEMI] = ";",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [sym_do_start] = "do_start",
  [anon_sym_continue] = "continue",
  [anon_sym_break] = "break",
  [anon_sym_EQ] = "=",
  [sym_hex] = "hex",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_string_const] = "string_const",
  [sym_return] = "return",
  [sym_addeq] = "addeq",
  [sym_plusplus] = "plusplus",
  [sym_subeq] = "subeq",
  [sym_minusminus] = "minusminus",
  [sym_muleq] = "muleq",
  [sym_modeq] = "modeq",
  [sym_xoreq] = "xoreq",
  [sym_andeq] = "andeq",
  [sym_andand] = "andand",
  [sym_oreq] = "oreq",
  [sym_oror] = "oror",
  [sym_noteq] = "noteq",
  [sym_eq] = "eq",
  [sym_lteq] = "lteq",
  [sym_sleq] = "sleq",
  [sym_sl] = "sl",
  [sym_gteq] = "gteq",
  [sym_sr] = "sr",
  [sym_sreq] = "sreq",
  [sym_usreq] = "usreq",
  [sym_usr] = "usr",
  [sym_pre_if] = "pre_if",
  [sym_pre_else] = "pre_else",
  [sym_pre_endif] = "pre_endif",
  [sym_pre_elif] = "pre_elif",
  [sym_pre_include] = "pre_include",
  [sym_pre_define] = "pre_define",
  [sym_pre_undef] = "pre_undef",
  [sym_pre_pragma] = "pre_pragma",
  [sym_pre_ifdef] = "pre_ifdef",
  [sym_pre_ifndef] = "pre_ifndef",
  [sym_pre_warning] = "pre_warning",
  [sym_pre_error] = "pre_error",
  [sym_object_self_const] = "object_self_const",
  [sym_object_invalid_const] = "object_invalid_const",
  [sym_source_file] = "source_file",
  [sym__external_declaration] = "_external_declaration",
  [sym__primary_expression] = "_primary_expression",
  [sym__postfix_expression] = "_postfix_expression",
  [sym_argument_expression_list] = "argument_expression_list",
  [sym__unary_expression] = "_unary_expression",
  [sym__multiplicative_expression] = "_multiplicative_expression",
  [sym__additive_expression] = "_additive_expression",
  [sym__shift_expression] = "_shift_expression",
  [sym__relational_expression] = "_relational_expression",
  [sym__equality_expression] = "_equality_expression",
  [sym__and_expression] = "_and_expression",
  [sym__exclusive_or_expression] = "_exclusive_or_expression",
  [sym__inclusive_or_expression] = "_inclusive_or_expression",
  [sym__logical_and_expression] = "_logical_and_expression",
  [sym__logical_or_expression] = "_logical_or_expression",
  [sym__conditional_expression] = "_conditional_expression",
  [sym__assignment_expression] = "_assignment_expression",
  [sym_expression] = "expression",
  [sym_constant_expression] = "constant_expression",
  [sym__qualified_type_specifier] = "_qualified_type_specifier",
  [sym_type_specifier] = "type_specifier",
  [sym_statement] = "statement",
  [sym_statement_blank_error] = "statement_blank_error",
  [sym__non_blank_statement] = "_non_blank_statement",
  [sym_labelled_statement] = "labelled_statement",
  [sym_case_statement] = "case_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_statement_list] = "statement_list",
  [sym_expression_statement] = "expression_statement",
  [sym_selection_statement] = "selection_statement",
  [sym_if_else_start] = "if_else_start",
  [sym_if_start] = "if_start",
  [sym_switch_start] = "switch_start",
  [sym_iteration_statement] = "iteration_statement",
  [sym_for_start] = "for_start",
  [sym_for_start_start] = "for_start_start",
  [sym_while_start] = "while_start",
  [sym__jump_statement] = "_jump_statement",
  [sym_return_start] = "return_start",
  [sym_declaration] = "declaration",
  [sym__init_declarator_list] = "_init_declarator_list",
  [sym__init_declarator] = "_init_declarator",
  [sym__init_declarator_identifier] = "_init_declarator_identifier",
  [sym_function_definition] = "function_definition",
  [sym_function_declarator] = "function_declarator",
  [aux_sym__function_parameter_list] = "_function_parameter_list",
  [sym__function_parameter_declaration] = "_function_parameter_declaration",
  [sym_struct_definition] = "struct_definition",
  [sym_struct_declaration_list] = "struct_declaration_list",
  [sym_struct_declaration] = "struct_declaration",
  [sym_struct_declarator_list] = "struct_declarator_list",
  [sym_assignment_operator] = "assignment_operator",
  [sym_preprocessor_directive] = "preprocessor_directive",
  [sym__preprocessor_include] = "_preprocessor_include",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_statement_list_repeat1] = "statement_list_repeat1",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_comment] = sym_comment,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_command] = anon_sym_command,
  [anon_sym_effect] = anon_sym_effect,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_itemproperty] = anon_sym_itemproperty,
  [anon_sym_location] = anon_sym_location,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_sqlquery] = anon_sym_sqlquery,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_talent] = anon_sym_talent,
  [anon_sym_vector] = anon_sym_vector,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [sym_do_start] = sym_do_start,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_EQ] = anon_sym_EQ,
  [sym_hex] = sym_hex,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [sym_string_const] = sym_string_const,
  [sym_return] = sym_return,
  [sym_addeq] = sym_addeq,
  [sym_plusplus] = sym_plusplus,
  [sym_subeq] = sym_subeq,
  [sym_minusminus] = sym_minusminus,
  [sym_muleq] = sym_muleq,
  [sym_modeq] = sym_modeq,
  [sym_xoreq] = sym_xoreq,
  [sym_andeq] = sym_andeq,
  [sym_andand] = sym_andand,
  [sym_oreq] = sym_oreq,
  [sym_oror] = sym_oror,
  [sym_noteq] = sym_noteq,
  [sym_eq] = sym_eq,
  [sym_lteq] = sym_lteq,
  [sym_sleq] = sym_sleq,
  [sym_sl] = sym_sl,
  [sym_gteq] = sym_gteq,
  [sym_sr] = sym_sr,
  [sym_sreq] = sym_sreq,
  [sym_usreq] = sym_usreq,
  [sym_usr] = sym_usr,
  [sym_pre_if] = sym_pre_if,
  [sym_pre_else] = sym_pre_else,
  [sym_pre_endif] = sym_pre_endif,
  [sym_pre_elif] = sym_pre_elif,
  [sym_pre_include] = sym_pre_include,
  [sym_pre_define] = sym_pre_define,
  [sym_pre_undef] = sym_pre_undef,
  [sym_pre_pragma] = sym_pre_pragma,
  [sym_pre_ifdef] = sym_pre_ifdef,
  [sym_pre_ifndef] = sym_pre_ifndef,
  [sym_pre_warning] = sym_pre_warning,
  [sym_pre_error] = sym_pre_error,
  [sym_object_self_const] = sym_object_self_const,
  [sym_object_invalid_const] = sym_object_invalid_const,
  [sym_source_file] = sym_source_file,
  [sym__external_declaration] = sym__external_declaration,
  [sym__primary_expression] = sym__primary_expression,
  [sym__postfix_expression] = sym__postfix_expression,
  [sym_argument_expression_list] = sym_argument_expression_list,
  [sym__unary_expression] = sym__unary_expression,
  [sym__multiplicative_expression] = sym__multiplicative_expression,
  [sym__additive_expression] = sym__additive_expression,
  [sym__shift_expression] = sym__shift_expression,
  [sym__relational_expression] = sym__relational_expression,
  [sym__equality_expression] = sym__equality_expression,
  [sym__and_expression] = sym__and_expression,
  [sym__exclusive_or_expression] = sym__exclusive_or_expression,
  [sym__inclusive_or_expression] = sym__inclusive_or_expression,
  [sym__logical_and_expression] = sym__logical_and_expression,
  [sym__logical_or_expression] = sym__logical_or_expression,
  [sym__conditional_expression] = sym__conditional_expression,
  [sym__assignment_expression] = sym__assignment_expression,
  [sym_expression] = sym_expression,
  [sym_constant_expression] = sym_constant_expression,
  [sym__qualified_type_specifier] = sym__qualified_type_specifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_statement] = sym_statement,
  [sym_statement_blank_error] = sym_statement_blank_error,
  [sym__non_blank_statement] = sym__non_blank_statement,
  [sym_labelled_statement] = sym_labelled_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_statement_list] = sym_statement_list,
  [sym_expression_statement] = sym_expression_statement,
  [sym_selection_statement] = sym_selection_statement,
  [sym_if_else_start] = sym_if_else_start,
  [sym_if_start] = sym_if_start,
  [sym_switch_start] = sym_switch_start,
  [sym_iteration_statement] = sym_iteration_statement,
  [sym_for_start] = sym_for_start,
  [sym_for_start_start] = sym_for_start_start,
  [sym_while_start] = sym_while_start,
  [sym__jump_statement] = sym__jump_statement,
  [sym_return_start] = sym_return_start,
  [sym_declaration] = sym_declaration,
  [sym__init_declarator_list] = sym__init_declarator_list,
  [sym__init_declarator] = sym__init_declarator,
  [sym__init_declarator_identifier] = sym__init_declarator_identifier,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declarator] = sym_function_declarator,
  [aux_sym__function_parameter_list] = aux_sym__function_parameter_list,
  [sym__function_parameter_declaration] = sym__function_parameter_declaration,
  [sym_struct_definition] = sym_struct_definition,
  [sym_struct_declaration_list] = sym_struct_declaration_list,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_struct_declarator_list] = sym_struct_declarator_list,
  [sym_assignment_operator] = sym_assignment_operator,
  [sym_preprocessor_directive] = sym_preprocessor_directive,
  [sym__preprocessor_include] = sym__preprocessor_include,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_statement_list_repeat1] = aux_sym_statement_list_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_command] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_itemproperty] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_location] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sqlquery] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_talent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vector] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [sym_do_start] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym_hex] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_string_const] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_addeq] = {
    .visible = true,
    .named = true,
  },
  [sym_plusplus] = {
    .visible = true,
    .named = true,
  },
  [sym_subeq] = {
    .visible = true,
    .named = true,
  },
  [sym_minusminus] = {
    .visible = true,
    .named = true,
  },
  [sym_muleq] = {
    .visible = true,
    .named = true,
  },
  [sym_modeq] = {
    .visible = true,
    .named = true,
  },
  [sym_xoreq] = {
    .visible = true,
    .named = true,
  },
  [sym_andeq] = {
    .visible = true,
    .named = true,
  },
  [sym_andand] = {
    .visible = true,
    .named = true,
  },
  [sym_oreq] = {
    .visible = true,
    .named = true,
  },
  [sym_oror] = {
    .visible = true,
    .named = true,
  },
  [sym_noteq] = {
    .visible = true,
    .named = true,
  },
  [sym_eq] = {
    .visible = true,
    .named = true,
  },
  [sym_lteq] = {
    .visible = true,
    .named = true,
  },
  [sym_sleq] = {
    .visible = true,
    .named = true,
  },
  [sym_sl] = {
    .visible = true,
    .named = true,
  },
  [sym_gteq] = {
    .visible = true,
    .named = true,
  },
  [sym_sr] = {
    .visible = true,
    .named = true,
  },
  [sym_sreq] = {
    .visible = true,
    .named = true,
  },
  [sym_usreq] = {
    .visible = true,
    .named = true,
  },
  [sym_usr] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_if] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_else] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_endif] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_include] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_define] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_undef] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_ifndef] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_warning] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_error] = {
    .visible = true,
    .named = true,
  },
  [sym_object_self_const] = {
    .visible = true,
    .named = true,
  },
  [sym_object_invalid_const] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__external_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__postfix_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_argument_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__multiplicative_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__additive_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__shift_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__relational_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__equality_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__and_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__exclusive_or_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inclusive_or_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__logical_and_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__logical_or_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__conditional_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__assignment_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__qualified_type_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_blank_error] = {
    .visible = true,
    .named = true,
  },
  [sym__non_blank_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labelled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_list] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_selection_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_iteration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start_start] = {
    .visible = true,
    .named = true,
  },
  [sym_while_start] = {
    .visible = true,
    .named = true,
  },
  [sym__jump_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_return_start] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__init_declarator_list] = {
    .visible = false,
    .named = true,
  },
  [sym__init_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__init_declarator_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__function_parameter_list] = {
    .visible = false,
    .named = false,
  },
  [sym__function_parameter_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declarator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_preprocessor_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__preprocessor_include] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static TSSymbol ts_alias_sequences[1][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(64);
      if (lookahead == '"') ADVANCE(3);
      if (lookahead == '#') ADVANCE(11);
      if (lookahead == '%') ADVANCE(68);
      if (lookahead == '&') ADVANCE(72);
      if (lookahead == '(') ADVANCE(52);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(59);
      if (lookahead == ',') ADVANCE(58);
      if (lookahead == '-') ADVANCE(61);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '0') ADVANCE(85);
      if (lookahead == ':') ADVANCE(76);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(69);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '[') ADVANCE(55);
      if (lookahead == ']') ADVANCE(56);
      if (lookahead == '^') ADVANCE(73);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(74);
      if (lookahead == '}') ADVANCE(81);
      if (lookahead == '~') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(64);
      if (lookahead == '"') ADVANCE(3);
      if (lookahead == '%') ADVANCE(68);
      if (lookahead == '&') ADVANCE(71);
      if (lookahead == '(') ADVANCE(52);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(59);
      if (lookahead == ',') ADVANCE(58);
      if (lookahead == '-') ADVANCE(61);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '0') ADVANCE(85);
      if (lookahead == ':') ADVANCE(76);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(69);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '[') ADVANCE(55);
      if (lookahead == ']') ADVANCE(56);
      if (lookahead == '^') ADVANCE(73);
      if (lookahead == '{') ADVANCE(80);
      if (lookahead == '|') ADVANCE(74);
      if (lookahead == '~') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(6);
      if (lookahead == '%') ADVANCE(68);
      if (lookahead == '&') ADVANCE(71);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(60);
      if (lookahead == ',') ADVANCE(58);
      if (lookahead == '-') ADVANCE(62);
      if (lookahead == '/') ADVANCE(66);
      if (lookahead == ':') ADVANCE(76);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(69);
      if (lookahead == '=') ADVANCE(82);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(75);
      if (lookahead == '^') ADVANCE(73);
      if (lookahead == '|') ADVANCE(74);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(3);
      END_STATE();
    case 4:
      if (lookahead == '*') ADVANCE(5);
      if (lookahead != 0) ADVANCE(4);
      END_STATE();
    case 5:
      if (lookahead == '/') ADVANCE(77);
      if (lookahead != 0) ADVANCE(4);
      END_STATE();
    case 6:
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(118);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 10:
      if (lookahead == 'c') ADVANCE(37);
      END_STATE();
    case 11:
      if (lookahead == 'd') ADVANCE(16);
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(23);
      if (lookahead == 'p') ADVANCE(47);
      if (lookahead == 'u') ADVANCE(39);
      if (lookahead == 'w') ADVANCE(9);
      END_STATE();
    case 12:
      if (lookahead == 'd') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'd') ADVANCE(19);
      END_STATE();
    case 14:
      if (lookahead == 'd') ADVANCE(21);
      END_STATE();
    case 15:
      if (lookahead == 'd') ADVANCE(22);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(24);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(29);
      END_STATE();
    case 23:
      if (lookahead == 'f') ADVANCE(111);
      if (lookahead == 'n') ADVANCE(10);
      END_STATE();
    case 24:
      if (lookahead == 'f') ADVANCE(33);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(114);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(113);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(119);
      END_STATE();
    case 28:
      if (lookahead == 'f') ADVANCE(117);
      END_STATE();
    case 29:
      if (lookahead == 'f') ADVANCE(120);
      END_STATE();
    case 30:
      if (lookahead == 'g') ADVANCE(38);
      END_STATE();
    case 31:
      if (lookahead == 'g') ADVANCE(121);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(25);
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 33:
      if (lookahead == 'i') ADVANCE(41);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(26);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 38:
      if (lookahead == 'm') ADVANCE(8);
      END_STATE();
    case 39:
      if (lookahead == 'n') ADVANCE(14);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(31);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(18);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(35);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 44:
      if (lookahead == 'r') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(7);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(54);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(93);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(4);
      if (lookahead == '/') ADVANCE(78);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(106);
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(98);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '|') ADVANCE(100);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(49);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_string_const);
      if (lookahead == '"') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(3);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_addeq);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_plusplus);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_subeq);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_minusminus);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_muleq);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_modeq);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_xoreq);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_andeq);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_andand);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_oreq);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_oror);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_noteq);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_eq);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_lteq);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_sleq);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_sl);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_gteq);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_sr);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(110);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_sreq);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_usreq);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_usr);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_pre_if);
      if (lookahead == 'd') ADVANCE(20);
      if (lookahead == 'n') ADVANCE(15);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_pre_else);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_pre_endif);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_pre_elif);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_pre_include);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_pre_define);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_pre_undef);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_pre_pragma);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_pre_ifdef);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_pre_ifndef);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_pre_warning);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_pre_error);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'O') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'l') ADVANCE(8);
      if (lookahead == 'o') ADVANCE(9);
      if (lookahead == 'r') ADVANCE(10);
      if (lookahead == 's') ADVANCE(11);
      if (lookahead == 't') ADVANCE(12);
      if (lookahead == 'v') ADVANCE(13);
      if (lookahead == 'w') ADVANCE(14);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'B') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(19);
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(21);
      if (lookahead == 'l') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 't') ADVANCE(28);
      END_STATE();
    case 8:
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 11:
      if (lookahead == 'q') ADVANCE(32);
      if (lookahead == 't') ADVANCE(33);
      if (lookahead == 'w') ADVANCE(34);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(38);
      END_STATE();
    case 15:
      if (lookahead == 'J') ADVANCE(39);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 18:
      if (lookahead == 'm') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(sym_do_start);
      END_STATE();
    case 21:
      if (lookahead == 'f') ADVANCE(45);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 25:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(52);
      END_STATE();
    case 30:
      if (lookahead == 'j') ADVANCE(53);
      END_STATE();
    case 31:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 36:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(61);
      END_STATE();
    case 39:
      if (lookahead == 'E') ADVANCE(62);
      END_STATE();
    case 40:
      if (lookahead == 'a') ADVANCE(63);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 42:
      if (lookahead == 'm') ADVANCE(65);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 51:
      if (lookahead == 'm') ADVANCE(73);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 54:
      if (lookahead == 'u') ADVANCE(76);
      END_STATE();
    case 55:
      if (lookahead == 'q') ADVANCE(77);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'u') ADVANCE(79);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 60:
      if (lookahead == 'd') ADVANCE(83);
      END_STATE();
    case 61:
      if (lookahead == 'l') ADVANCE(84);
      END_STATE();
    case 62:
      if (lookahead == 'C') ADVANCE(85);
      END_STATE();
    case 63:
      if (lookahead == 'k') ADVANCE(86);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(87);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(91);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 73:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 76:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(98);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 79:
      if (lookahead == 'c') ADVANCE(100);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 82:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 85:
      if (lookahead == 'T') ADVANCE(105);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 89:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 95:
      if (lookahead == 'i') ADVANCE(111);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(115);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 101:
      if (lookahead == 'h') ADVANCE(117);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 103:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 105:
      if (lookahead == '_') ADVANCE(120);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(121);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(122);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 110:
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_return);
      END_STATE();
    case 114:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_talent);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_vector);
      END_STATE();
    case 120:
      if (lookahead == 'I') ADVANCE(127);
      if (lookahead == 'S') ADVANCE(128);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_command);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 124:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 125:
      if (lookahead == 'n') ADVANCE(131);
      END_STATE();
    case 126:
      if (lookahead == 'y') ADVANCE(132);
      END_STATE();
    case 127:
      if (lookahead == 'N') ADVANCE(133);
      END_STATE();
    case 128:
      if (lookahead == 'E') ADVANCE(134);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_location);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_sqlquery);
      END_STATE();
    case 133:
      if (lookahead == 'V') ADVANCE(136);
      END_STATE();
    case 134:
      if (lookahead == 'L') ADVANCE(137);
      END_STATE();
    case 135:
      if (lookahead == 'r') ADVANCE(138);
      END_STATE();
    case 136:
      if (lookahead == 'A') ADVANCE(139);
      END_STATE();
    case 137:
      if (lookahead == 'F') ADVANCE(140);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 139:
      if (lookahead == 'L') ADVANCE(142);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_object_self_const);
      END_STATE();
    case 141:
      if (lookahead == 'y') ADVANCE(143);
      END_STATE();
    case 142:
      if (lookahead == 'I') ADVANCE(144);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_itemproperty);
      END_STATE();
    case 144:
      if (lookahead == 'D') ADVANCE(145);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_object_invalid_const);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 1},
  [11] = {.lex_state = 1},
  [12] = {.lex_state = 1},
  [13] = {.lex_state = 1},
  [14] = {.lex_state = 1},
  [15] = {.lex_state = 1},
  [16] = {.lex_state = 1},
  [17] = {.lex_state = 1},
  [18] = {.lex_state = 1},
  [19] = {.lex_state = 1},
  [20] = {.lex_state = 1},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 1},
  [24] = {.lex_state = 1},
  [25] = {.lex_state = 1},
  [26] = {.lex_state = 1},
  [27] = {.lex_state = 1},
  [28] = {.lex_state = 1},
  [29] = {.lex_state = 1},
  [30] = {.lex_state = 1},
  [31] = {.lex_state = 1},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 2},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 2},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 2},
  [68] = {.lex_state = 2},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 2},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 1},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 1},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 0},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 0},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 1},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 1},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 0},
  [98] = {.lex_state = 0},
  [99] = {.lex_state = 0},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 1},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 1},
  [106] = {.lex_state = 0},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 0},
  [109] = {.lex_state = 1},
  [110] = {.lex_state = 0},
  [111] = {.lex_state = 1},
  [112] = {.lex_state = 0},
  [113] = {.lex_state = 0},
  [114] = {.lex_state = 0},
  [115] = {.lex_state = 0},
  [116] = {.lex_state = 0},
  [117] = {.lex_state = 0},
  [118] = {.lex_state = 0},
  [119] = {.lex_state = 0},
  [120] = {.lex_state = 0},
  [121] = {.lex_state = 0},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 0},
  [124] = {.lex_state = 0},
  [125] = {.lex_state = 0},
  [126] = {.lex_state = 0},
  [127] = {.lex_state = 0},
  [128] = {.lex_state = 0},
  [129] = {.lex_state = 0},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 0},
  [133] = {.lex_state = 0},
  [134] = {.lex_state = 0},
  [135] = {.lex_state = 0},
  [136] = {.lex_state = 0},
  [137] = {.lex_state = 0},
  [138] = {.lex_state = 0},
  [139] = {.lex_state = 0},
  [140] = {.lex_state = 0},
  [141] = {.lex_state = 0},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 0},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 0},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 0},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 0},
  [150] = {.lex_state = 0},
  [151] = {.lex_state = 0},
  [152] = {.lex_state = 0},
  [153] = {.lex_state = 0},
  [154] = {.lex_state = 0},
  [155] = {.lex_state = 0},
  [156] = {.lex_state = 0},
  [157] = {.lex_state = 0},
  [158] = {.lex_state = 0},
  [159] = {.lex_state = 0},
  [160] = {.lex_state = 0},
  [161] = {.lex_state = 0},
  [162] = {.lex_state = 0},
  [163] = {.lex_state = 0},
  [164] = {.lex_state = 0},
  [165] = {.lex_state = 0},
  [166] = {.lex_state = 0},
  [167] = {.lex_state = 0},
  [168] = {.lex_state = 0},
  [169] = {.lex_state = 0},
  [170] = {.lex_state = 0},
  [171] = {.lex_state = 0},
  [172] = {.lex_state = 0},
  [173] = {.lex_state = 0},
  [174] = {.lex_state = 0},
  [175] = {.lex_state = 0},
  [176] = {.lex_state = 0},
  [177] = {.lex_state = 0},
  [178] = {.lex_state = 0},
  [179] = {.lex_state = 0},
  [180] = {.lex_state = 0},
  [181] = {.lex_state = 0},
  [182] = {.lex_state = 0},
  [183] = {.lex_state = 0},
  [184] = {.lex_state = 0},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 0},
  [187] = {.lex_state = 0},
  [188] = {.lex_state = 0},
  [189] = {.lex_state = 0},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 0},
  [192] = {.lex_state = 0},
  [193] = {.lex_state = 0},
  [194] = {.lex_state = 0},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 0},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 0},
  [199] = {.lex_state = 0},
  [200] = {.lex_state = 0},
  [201] = {.lex_state = 0},
  [202] = {.lex_state = 0},
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym_comment] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_command] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_itemproperty] = ACTIONS(1),
    [anon_sym_location] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_sqlquery] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_talent] = ACTIONS(1),
    [anon_sym_vector] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [sym_do_start] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [sym_hex] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_string_const] = ACTIONS(1),
    [sym_return] = ACTIONS(1),
    [sym_addeq] = ACTIONS(1),
    [sym_plusplus] = ACTIONS(1),
    [sym_subeq] = ACTIONS(1),
    [sym_minusminus] = ACTIONS(1),
    [sym_muleq] = ACTIONS(1),
    [sym_modeq] = ACTIONS(1),
    [sym_xoreq] = ACTIONS(1),
    [sym_andeq] = ACTIONS(1),
    [sym_andand] = ACTIONS(1),
    [sym_oreq] = ACTIONS(1),
    [sym_oror] = ACTIONS(1),
    [sym_noteq] = ACTIONS(1),
    [sym_eq] = ACTIONS(1),
    [sym_lteq] = ACTIONS(1),
    [sym_sleq] = ACTIONS(1),
    [sym_sl] = ACTIONS(1),
    [sym_gteq] = ACTIONS(1),
    [sym_sr] = ACTIONS(1),
    [sym_sreq] = ACTIONS(1),
    [sym_usreq] = ACTIONS(1),
    [sym_usr] = ACTIONS(1),
    [sym_pre_if] = ACTIONS(1),
    [sym_pre_else] = ACTIONS(1),
    [sym_pre_endif] = ACTIONS(1),
    [sym_pre_elif] = ACTIONS(1),
    [sym_pre_include] = ACTIONS(1),
    [sym_pre_define] = ACTIONS(1),
    [sym_pre_undef] = ACTIONS(1),
    [sym_pre_pragma] = ACTIONS(1),
    [sym_pre_ifdef] = ACTIONS(1),
    [sym_pre_ifndef] = ACTIONS(1),
    [sym_pre_warning] = ACTIONS(1),
    [sym_pre_error] = ACTIONS(1),
    [sym_object_self_const] = ACTIONS(1),
    [sym_object_invalid_const] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(197),
    [sym__external_declaration] = STATE(98),
    [sym__qualified_type_specifier] = STATE(150),
    [sym_type_specifier] = STATE(150),
    [sym_declaration] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_function_declarator] = STATE(157),
    [sym_struct_definition] = STATE(98),
    [sym_preprocessor_directive] = STATE(98),
    [sym__preprocessor_include] = STATE(136),
    [aux_sym_source_file_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [anon_sym_const] = ACTIONS(7),
    [anon_sym_command] = ACTIONS(9),
    [anon_sym_effect] = ACTIONS(9),
    [anon_sym_event] = ACTIONS(9),
    [anon_sym_float] = ACTIONS(9),
    [anon_sym_int] = ACTIONS(9),
    [anon_sym_itemproperty] = ACTIONS(9),
    [anon_sym_location] = ACTIONS(9),
    [anon_sym_object] = ACTIONS(9),
    [anon_sym_sqlquery] = ACTIONS(9),
    [anon_sym_string] = ACTIONS(9),
    [anon_sym_talent] = ACTIONS(9),
    [anon_sym_vector] = ACTIONS(9),
    [anon_sym_void] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(11),
    [sym_pre_include] = ACTIONS(13),
  },
  [2] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement] = STATE(4),
    [sym__non_blank_statement] = STATE(54),
    [sym_labelled_statement] = STATE(54),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(54),
    [sym_statement_list] = STATE(196),
    [sym_expression_statement] = STATE(54),
    [sym_selection_statement] = STATE(54),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(54),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(54),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(54),
    [aux_sym_statement_list_repeat1] = STATE(4),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [sym_comment] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [3] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement] = STATE(3),
    [sym__non_blank_statement] = STATE(54),
    [sym_labelled_statement] = STATE(54),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_selection_statement] = STATE(54),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(54),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(54),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(54),
    [aux_sym_statement_list_repeat1] = STATE(3),
    [sym_identifier] = ACTIONS(57),
    [anon_sym_LPAREN] = ACTIONS(60),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(66),
    [anon_sym_RBRACK] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(72),
    [anon_sym_BANG] = ACTIONS(72),
    [sym_comment] = ACTIONS(75),
    [anon_sym_const] = ACTIONS(78),
    [anon_sym_command] = ACTIONS(81),
    [anon_sym_effect] = ACTIONS(81),
    [anon_sym_event] = ACTIONS(81),
    [anon_sym_float] = ACTIONS(81),
    [anon_sym_int] = ACTIONS(81),
    [anon_sym_itemproperty] = ACTIONS(81),
    [anon_sym_location] = ACTIONS(81),
    [anon_sym_object] = ACTIONS(81),
    [anon_sym_sqlquery] = ACTIONS(81),
    [anon_sym_string] = ACTIONS(81),
    [anon_sym_talent] = ACTIONS(81),
    [anon_sym_vector] = ACTIONS(81),
    [anon_sym_void] = ACTIONS(81),
    [anon_sym_struct] = ACTIONS(84),
    [anon_sym_SEMI] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(87),
    [anon_sym_default] = ACTIONS(90),
    [anon_sym_LBRACE] = ACTIONS(93),
    [anon_sym_RBRACE] = ACTIONS(96),
    [anon_sym_if] = ACTIONS(98),
    [anon_sym_switch] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(104),
    [anon_sym_for] = ACTIONS(107),
    [sym_do_start] = ACTIONS(110),
    [anon_sym_continue] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(113),
    [sym_hex] = ACTIONS(63),
    [sym_integer] = ACTIONS(66),
    [sym_float] = ACTIONS(63),
    [sym_string_const] = ACTIONS(63),
    [sym_return] = ACTIONS(116),
    [sym_plusplus] = ACTIONS(72),
    [sym_minusminus] = ACTIONS(72),
    [sym_object_self_const] = ACTIONS(66),
    [sym_object_invalid_const] = ACTIONS(66),
  },
  [4] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement] = STATE(3),
    [sym__non_blank_statement] = STATE(54),
    [sym_labelled_statement] = STATE(54),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_selection_statement] = STATE(54),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(54),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(54),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(54),
    [aux_sym_statement_list_repeat1] = STATE(3),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [sym_comment] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [5] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement] = STATE(46),
    [sym__non_blank_statement] = STATE(54),
    [sym_labelled_statement] = STATE(54),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_selection_statement] = STATE(54),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(54),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(54),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(54),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [sym_comment] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [6] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement] = STATE(51),
    [sym__non_blank_statement] = STATE(54),
    [sym_labelled_statement] = STATE(54),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_selection_statement] = STATE(54),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(54),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(54),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(54),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [sym_comment] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [7] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement] = STATE(192),
    [sym__non_blank_statement] = STATE(54),
    [sym_labelled_statement] = STATE(54),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_selection_statement] = STATE(54),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(54),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(54),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(54),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [sym_comment] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [8] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement_blank_error] = STATE(55),
    [sym__non_blank_statement] = STATE(50),
    [sym_labelled_statement] = STATE(50),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_selection_statement] = STATE(50),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(50),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(50),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(50),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [9] = {
    [sym__primary_expression] = STATE(12),
    [sym__postfix_expression] = STATE(12),
    [sym__unary_expression] = STATE(34),
    [sym__multiplicative_expression] = STATE(68),
    [sym__additive_expression] = STATE(69),
    [sym__shift_expression] = STATE(78),
    [sym__relational_expression] = STATE(92),
    [sym__equality_expression] = STATE(103),
    [sym__and_expression] = STATE(111),
    [sym__exclusive_or_expression] = STATE(114),
    [sym__inclusive_or_expression] = STATE(118),
    [sym__logical_and_expression] = STATE(123),
    [sym__logical_or_expression] = STATE(124),
    [sym__conditional_expression] = STATE(52),
    [sym__assignment_expression] = STATE(52),
    [sym_expression] = STATE(188),
    [sym__qualified_type_specifier] = STATE(152),
    [sym_type_specifier] = STATE(152),
    [sym_statement_blank_error] = STATE(51),
    [sym__non_blank_statement] = STATE(50),
    [sym_labelled_statement] = STATE(50),
    [sym_case_statement] = STATE(45),
    [sym_compound_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_selection_statement] = STATE(50),
    [sym_if_else_start] = STATE(9),
    [sym_if_start] = STATE(8),
    [sym_switch_start] = STATE(6),
    [sym_iteration_statement] = STATE(50),
    [sym_for_start] = STATE(5),
    [sym_for_start_start] = STATE(73),
    [sym_while_start] = STATE(5),
    [sym__jump_statement] = STATE(50),
    [sym_return_start] = STATE(72),
    [sym_declaration] = STATE(50),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_RBRACK] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_command] = ACTIONS(31),
    [anon_sym_effect] = ACTIONS(31),
    [anon_sym_event] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_itemproperty] = ACTIONS(31),
    [anon_sym_location] = ACTIONS(31),
    [anon_sym_object] = ACTIONS(31),
    [anon_sym_sqlquery] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_talent] = ACTIONS(31),
    [anon_sym_vector] = ACTIONS(31),
    [anon_sym_void] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_case] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(43),
    [anon_sym_switch] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [sym_do_start] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(53),
    [sym_hex] = ACTIONS(19),
    [sym_integer] = ACTIONS(21),
    [sym_float] = ACTIONS(19),
    [sym_string_const] = ACTIONS(19),
    [sym_return] = ACTIONS(55),
    [sym_plusplus] = ACTIONS(25),
    [sym_minusminus] = ACTIONS(25),
    [sym_object_self_const] = ACTIONS(21),
    [sym_object_invalid_const] = ACTIONS(21),
  },
  [10] = {
    [sym_identifier] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(125),
    [anon_sym_RPAREN] = ACTIONS(125),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_DOT] = ACTIONS(125),
    [anon_sym_COMMA] = ACTIONS(125),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_SLASH] = ACTIONS(123),
    [anon_sym_PERCENT] = ACTIONS(123),
    [anon_sym_LT] = ACTIONS(123),
    [anon_sym_GT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(123),
    [anon_sym_CARET] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(125),
    [anon_sym_COLON] = ACTIONS(125),
    [sym_comment] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(123),
    [anon_sym_command] = ACTIONS(123),
    [anon_sym_effect] = ACTIONS(123),
    [anon_sym_event] = ACTIONS(123),
    [anon_sym_float] = ACTIONS(123),
    [anon_sym_int] = ACTIONS(123),
    [anon_sym_itemproperty] = ACTIONS(123),
    [anon_sym_location] = ACTIONS(123),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_sqlquery] = ACTIONS(123),
    [anon_sym_string] = ACTIONS(123),
    [anon_sym_talent] = ACTIONS(123),
    [anon_sym_vector] = ACTIONS(123),
    [anon_sym_void] = ACTIONS(123),
    [anon_sym_struct] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_case] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_switch] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_for] = ACTIONS(123),
    [sym_do_start] = ACTIONS(123),
    [anon_sym_continue] = ACTIONS(123),
    [anon_sym_break] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(123),
    [sym_hex] = ACTIONS(125),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(125),
    [sym_string_const] = ACTIONS(125),
    [sym_return] = ACTIONS(123),
    [sym_addeq] = ACTIONS(125),
    [sym_plusplus] = ACTIONS(125),
    [sym_subeq] = ACTIONS(125),
    [sym_minusminus] = ACTIONS(125),
    [sym_muleq] = ACTIONS(125),
    [sym_modeq] = ACTIONS(125),
    [sym_xoreq] = ACTIONS(125),
    [sym_andand] = ACTIONS(125),
    [sym_oreq] = ACTIONS(125),
    [sym_oror] = ACTIONS(125),
    [sym_noteq] = ACTIONS(125),
    [sym_eq] = ACTIONS(125),
    [sym_lteq] = ACTIONS(125),
    [sym_sleq] = ACTIONS(125),
    [sym_sl] = ACTIONS(123),
    [sym_gteq] = ACTIONS(125),
    [sym_sr] = ACTIONS(123),
    [sym_sreq] = ACTIONS(125),
    [sym_usreq] = ACTIONS(125),
    [sym_usr] = ACTIONS(123),
    [sym_object_self_const] = ACTIONS(123),
    [sym_object_invalid_const] = ACTIONS(123),
  },
  [11] = {
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(127),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(127),
    [anon_sym_SLASH] = ACTIONS(127),
    [anon_sym_PERCENT] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(127),
    [anon_sym_GT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_CARET] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(127),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [sym_comment] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_command] = ACTIONS(127),
    [anon_sym_effect] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(127),
    [anon_sym_float] = ACTIONS(127),
    [anon_sym_int] = ACTIONS(127),
    [anon_sym_itemproperty] = ACTIONS(127),
    [anon_sym_location] = ACTIONS(127),
    [anon_sym_object] = ACTIONS(127),
    [anon_sym_sqlquery] = ACTIONS(127),
    [anon_sym_string] = ACTIONS(127),
    [anon_sym_talent] = ACTIONS(127),
    [anon_sym_vector] = ACTIONS(127),
    [anon_sym_void] = ACTIONS(127),
    [anon_sym_struct] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(127),
    [sym_do_start] = ACTIONS(127),
    [anon_sym_continue] = ACTIONS(127),
    [anon_sym_break] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(127),
    [sym_hex] = ACTIONS(129),
    [sym_integer] = ACTIONS(127),
    [sym_float] = ACTIONS(129),
    [sym_string_const] = ACTIONS(129),
    [sym_return] = ACTIONS(127),
    [sym_addeq] = ACTIONS(129),
    [sym_plusplus] = ACTIONS(129),
    [sym_subeq] = ACTIONS(129),
    [sym_minusminus] = ACTIONS(129),
    [sym_muleq] = ACTIONS(129),
    [sym_modeq] = ACTIONS(129),
    [sym_xoreq] = ACTIONS(129),
    [sym_andand] = ACTIONS(129),
    [sym_oreq] = ACTIONS(129),
    [sym_oror] = ACTIONS(129),
    [sym_noteq] = ACTIONS(129),
    [sym_eq] = ACTIONS(129),
    [sym_lteq] = ACTIONS(129),
    [sym_sleq] = ACTIONS(129),
    [sym_sl] = ACTIONS(127),
    [sym_gteq] = ACTIONS(129),
    [sym_sr] = ACTIONS(127),
    [sym_sreq] = ACTIONS(129),
    [sym_usreq] = ACTIONS(129),
    [sym_usr] = ACTIONS(127),
    [sym_object_self_const] = ACTIONS(127),
    [sym_object_invalid_const] = ACTIONS(127),
  },
  [12] = {
    [sym_identifier] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(133),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(133),
    [anon_sym_COLON] = ACTIONS(133),
    [sym_comment] = ACTIONS(133),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_command] = ACTIONS(131),
    [anon_sym_effect] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(131),
    [anon_sym_float] = ACTIONS(131),
    [anon_sym_int] = ACTIONS(131),
    [anon_sym_itemproperty] = ACTIONS(131),
    [anon_sym_location] = ACTIONS(131),
    [anon_sym_object] = ACTIONS(131),
    [anon_sym_sqlquery] = ACTIONS(131),
    [anon_sym_string] = ACTIONS(131),
    [anon_sym_talent] = ACTIONS(131),
    [anon_sym_vector] = ACTIONS(131),
    [anon_sym_void] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(131),
    [anon_sym_for] = ACTIONS(131),
    [sym_do_start] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(131),
    [anon_sym_break] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [sym_hex] = ACTIONS(133),
    [sym_integer] = ACTIONS(131),
    [sym_float] = ACTIONS(133),
    [sym_string_const] = ACTIONS(133),
    [sym_return] = ACTIONS(131),
    [sym_addeq] = ACTIONS(133),
    [sym_plusplus] = ACTIONS(137),
    [sym_subeq] = ACTIONS(133),
    [sym_minusminus] = ACTIONS(137),
    [sym_muleq] = ACTIONS(133),
    [sym_modeq] = ACTIONS(133),
    [sym_xoreq] = ACTIONS(133),
    [sym_andand] = ACTIONS(133),
    [sym_oreq] = ACTIONS(133),
    [sym_oror] = ACTIONS(133),
    [sym_noteq] = ACTIONS(133),
    [sym_eq] = ACTIONS(133),
    [sym_lteq] = ACTIONS(133),
    [sym_sleq] = ACTIONS(133),
    [sym_sl] = ACTIONS(131),
    [sym_gteq] = ACTIONS(133),
    [sym_sr] = ACTIONS(131),
    [sym_sreq] = ACTIONS(133),
    [sym_usreq] = ACTIONS(133),
    [sym_usr] = ACTIONS(131),
    [sym_object_self_const] = ACTIONS(131),
    [sym_object_invalid_const] = ACTIONS(131),
  },
  [13] = {
    [sym_identifier] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_RPAREN] = ACTIONS(141),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(139),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_COMMA] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_SLASH] = ACTIONS(139),
    [anon_sym_PERCENT] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(139),
    [anon_sym_GT] = ACTIONS(139),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_CARET] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(139),
    [anon_sym_QMARK] = ACTIONS(141),
    [anon_sym_COLON] = ACTIONS(141),
    [sym_comment] = ACTIONS(141),
    [anon_sym_const] = ACTIONS(139),
    [anon_sym_command] = ACTIONS(139),
    [anon_sym_effect] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(139),
    [anon_sym_float] = ACTIONS(139),
    [anon_sym_int] = ACTIONS(139),
    [anon_sym_itemproperty] = ACTIONS(139),
    [anon_sym_location] = ACTIONS(139),
    [anon_sym_object] = ACTIONS(139),
    [anon_sym_sqlquery] = ACTIONS(139),
    [anon_sym_string] = ACTIONS(139),
    [anon_sym_talent] = ACTIONS(139),
    [anon_sym_vector] = ACTIONS(139),
    [anon_sym_void] = ACTIONS(139),
    [anon_sym_struct] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(141),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(139),
    [anon_sym_switch] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_for] = ACTIONS(139),
    [sym_do_start] = ACTIONS(139),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(139),
    [sym_hex] = ACTIONS(141),
    [sym_integer] = ACTIONS(139),
    [sym_float] = ACTIONS(141),
    [sym_string_const] = ACTIONS(141),
    [sym_return] = ACTIONS(139),
    [sym_addeq] = ACTIONS(141),
    [sym_plusplus] = ACTIONS(141),
    [sym_subeq] = ACTIONS(141),
    [sym_minusminus] = ACTIONS(141),
    [sym_muleq] = ACTIONS(141),
    [sym_modeq] = ACTIONS(141),
    [sym_xoreq] = ACTIONS(141),
    [sym_andand] = ACTIONS(141),
    [sym_oreq] = ACTIONS(141),
    [sym_oror] = ACTIONS(141),
    [sym_noteq] = ACTIONS(141),
    [sym_eq] = ACTIONS(141),
    [sym_lteq] = ACTIONS(141),
    [sym_sleq] = ACTIONS(141),
    [sym_sl] = ACTIONS(139),
    [sym_gteq] = ACTIONS(141),
    [sym_sr] = ACTIONS(139),
    [sym_sreq] = ACTIONS(141),
    [sym_usreq] = ACTIONS(141),
    [sym_usr] = ACTIONS(139),
    [sym_object_self_const] = ACTIONS(139),
    [sym_object_invalid_const] = ACTIONS(139),
  },
  [14] = {
    [sym_identifier] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(145),
    [anon_sym_RPAREN] = ACTIONS(145),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_DOT] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(145),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_TILDE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(143),
    [anon_sym_SLASH] = ACTIONS(143),
    [anon_sym_PERCENT] = ACTIONS(143),
    [anon_sym_LT] = ACTIONS(143),
    [anon_sym_GT] = ACTIONS(143),
    [anon_sym_AMP] = ACTIONS(143),
    [anon_sym_CARET] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(143),
    [anon_sym_QMARK] = ACTIONS(145),
    [anon_sym_COLON] = ACTIONS(145),
    [sym_comment] = ACTIONS(145),
    [anon_sym_const] = ACTIONS(143),
    [anon_sym_command] = ACTIONS(143),
    [anon_sym_effect] = ACTIONS(143),
    [anon_sym_event] = ACTIONS(143),
    [anon_sym_float] = ACTIONS(143),
    [anon_sym_int] = ACTIONS(143),
    [anon_sym_itemproperty] = ACTIONS(143),
    [anon_sym_location] = ACTIONS(143),
    [anon_sym_object] = ACTIONS(143),
    [anon_sym_sqlquery] = ACTIONS(143),
    [anon_sym_string] = ACTIONS(143),
    [anon_sym_talent] = ACTIONS(143),
    [anon_sym_vector] = ACTIONS(143),
    [anon_sym_void] = ACTIONS(143),
    [anon_sym_struct] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(145),
    [anon_sym_case] = ACTIONS(143),
    [anon_sym_default] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(143),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(143),
    [sym_do_start] = ACTIONS(143),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_break] = ACTIONS(143),
    [anon_sym_EQ] = ACTIONS(143),
    [sym_hex] = ACTIONS(145),
    [sym_integer] = ACTIONS(143),
    [sym_float] = ACTIONS(145),
    [sym_string_const] = ACTIONS(145),
    [sym_return] = ACTIONS(143),
    [sym_addeq] = ACTIONS(145),
    [sym_plusplus] = ACTIONS(145),
    [sym_subeq] = ACTIONS(145),
    [sym_minusminus] = ACTIONS(145),
    [sym_muleq] = ACTIONS(145),
    [sym_modeq] = ACTIONS(145),
    [sym_xoreq] = ACTIONS(145),
    [sym_andand] = ACTIONS(145),
    [sym_oreq] = ACTIONS(145),
    [sym_oror] = ACTIONS(145),
    [sym_noteq] = ACTIONS(145),
    [sym_eq] = ACTIONS(145),
    [sym_lteq] = ACTIONS(145),
    [sym_sleq] = ACTIONS(145),
    [sym_sl] = ACTIONS(143),
    [sym_gteq] = ACTIONS(145),
    [sym_sr] = ACTIONS(143),
    [sym_sreq] = ACTIONS(145),
    [sym_usreq] = ACTIONS(145),
    [sym_usr] = ACTIONS(143),
    [sym_object_self_const] = ACTIONS(143),
    [sym_object_invalid_const] = ACTIONS(143),
  },
  [15] = {
    [sym_identifier] = ACTIONS(147),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(147),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(147),
    [anon_sym_DASH] = ACTIONS(147),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(147),
    [anon_sym_SLASH] = ACTIONS(147),
    [anon_sym_PERCENT] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(147),
    [anon_sym_AMP] = ACTIONS(147),
    [anon_sym_CARET] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(147),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_COLON] = ACTIONS(151),
    [sym_comment] = ACTIONS(151),
    [anon_sym_const] = ACTIONS(147),
    [anon_sym_command] = ACTIONS(147),
    [anon_sym_effect] = ACTIONS(147),
    [anon_sym_event] = ACTIONS(147),
    [anon_sym_float] = ACTIONS(147),
    [anon_sym_int] = ACTIONS(147),
    [anon_sym_itemproperty] = ACTIONS(147),
    [anon_sym_location] = ACTIONS(147),
    [anon_sym_object] = ACTIONS(147),
    [anon_sym_sqlquery] = ACTIONS(147),
    [anon_sym_string] = ACTIONS(147),
    [anon_sym_talent] = ACTIONS(147),
    [anon_sym_vector] = ACTIONS(147),
    [anon_sym_void] = ACTIONS(147),
    [anon_sym_struct] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_case] = ACTIONS(147),
    [anon_sym_default] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(147),
    [anon_sym_for] = ACTIONS(147),
    [sym_do_start] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_EQ] = ACTIONS(147),
    [sym_hex] = ACTIONS(151),
    [sym_integer] = ACTIONS(147),
    [sym_float] = ACTIONS(151),
    [sym_string_const] = ACTIONS(151),
    [sym_return] = ACTIONS(147),
    [sym_addeq] = ACTIONS(151),
    [sym_plusplus] = ACTIONS(151),
    [sym_subeq] = ACTIONS(151),
    [sym_minusminus] = ACTIONS(151),
    [sym_muleq] = ACTIONS(151),
    [sym_modeq] = ACTIONS(151),
    [sym_xoreq] = ACTIONS(151),
    [sym_andand] = ACTIONS(151),
    [sym_oreq] = ACTIONS(151),
    [sym_oror] = ACTIONS(151),
    [sym_noteq] = ACTIONS(151),
    [sym_eq] = ACTIONS(151),
    [sym_lteq] = ACTIONS(151),
    [sym_sleq] = ACTIONS(151),
    [sym_sl] = ACTIONS(147),
    [sym_gteq] = ACTIONS(151),
    [sym_sr] = ACTIONS(147),
    [sym_sreq] = ACTIONS(151),
    [sym_usreq] = ACTIONS(151),
    [sym_usr] = ACTIONS(147),
    [sym_object_self_const] = ACTIONS(147),
    [sym_object_invalid_const] = ACTIONS(147),
  },
  [16] = {
    [sym_assignment_operator] = STATE(86),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_QMARK] = ACTIONS(155),
    [sym_comment] = ACTIONS(155),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_command] = ACTIONS(153),
    [anon_sym_effect] = ACTIONS(153),
    [anon_sym_event] = ACTIONS(153),
    [anon_sym_float] = ACTIONS(153),
    [anon_sym_int] = ACTIONS(153),
    [anon_sym_itemproperty] = ACTIONS(153),
    [anon_sym_location] = ACTIONS(153),
    [anon_sym_object] = ACTIONS(153),
    [anon_sym_sqlquery] = ACTIONS(153),
    [anon_sym_string] = ACTIONS(153),
    [anon_sym_talent] = ACTIONS(153),
    [anon_sym_vector] = ACTIONS(153),
    [anon_sym_void] = ACTIONS(153),
    [anon_sym_struct] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_case] = ACTIONS(153),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(153),
    [sym_do_start] = ACTIONS(153),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(157),
    [sym_hex] = ACTIONS(155),
    [sym_integer] = ACTIONS(153),
    [sym_float] = ACTIONS(155),
    [sym_string_const] = ACTIONS(155),
    [sym_return] = ACTIONS(153),
    [sym_addeq] = ACTIONS(159),
    [sym_plusplus] = ACTIONS(155),
    [sym_subeq] = ACTIONS(159),
    [sym_minusminus] = ACTIONS(155),
    [sym_muleq] = ACTIONS(159),
    [sym_modeq] = ACTIONS(159),
    [sym_xoreq] = ACTIONS(159),
    [sym_andand] = ACTIONS(155),
    [sym_oreq] = ACTIONS(159),
    [sym_oror] = ACTIONS(155),
    [sym_noteq] = ACTIONS(155),
    [sym_eq] = ACTIONS(155),
    [sym_lteq] = ACTIONS(155),
    [sym_sleq] = ACTIONS(159),
    [sym_sl] = ACTIONS(153),
    [sym_gteq] = ACTIONS(155),
    [sym_sr] = ACTIONS(153),
    [sym_sreq] = ACTIONS(159),
    [sym_usreq] = ACTIONS(159),
    [sym_usr] = ACTIONS(153),
    [sym_object_self_const] = ACTIONS(153),
    [sym_object_invalid_const] = ACTIONS(153),
  },
  [17] = {
    [sym_identifier] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(163),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_DASH] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_AMP] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(163),
    [sym_comment] = ACTIONS(163),
    [anon_sym_const] = ACTIONS(161),
    [anon_sym_command] = ACTIONS(161),
    [anon_sym_effect] = ACTIONS(161),
    [anon_sym_event] = ACTIONS(161),
    [anon_sym_float] = ACTIONS(161),
    [anon_sym_int] = ACTIONS(161),
    [anon_sym_itemproperty] = ACTIONS(161),
    [anon_sym_location] = ACTIONS(161),
    [anon_sym_object] = ACTIONS(161),
    [anon_sym_sqlquery] = ACTIONS(161),
    [anon_sym_string] = ACTIONS(161),
    [anon_sym_talent] = ACTIONS(161),
    [anon_sym_vector] = ACTIONS(161),
    [anon_sym_void] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_default] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(161),
    [sym_do_start] = ACTIONS(161),
    [anon_sym_continue] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(161),
    [anon_sym_EQ] = ACTIONS(161),
    [sym_hex] = ACTIONS(163),
    [sym_integer] = ACTIONS(161),
    [sym_float] = ACTIONS(163),
    [sym_string_const] = ACTIONS(163),
    [sym_return] = ACTIONS(161),
    [sym_addeq] = ACTIONS(163),
    [sym_plusplus] = ACTIONS(163),
    [sym_subeq] = ACTIONS(163),
    [sym_minusminus] = ACTIONS(163),
    [sym_muleq] = ACTIONS(163),
    [sym_modeq] = ACTIONS(163),
    [sym_xoreq] = ACTIONS(163),
    [sym_andand] = ACTIONS(163),
    [sym_oreq] = ACTIONS(163),
    [sym_oror] = ACTIONS(163),
    [sym_noteq] = ACTIONS(163),
    [sym_eq] = ACTIONS(163),
    [sym_lteq] = ACTIONS(163),
    [sym_sleq] = ACTIONS(163),
    [sym_sl] = ACTIONS(161),
    [sym_gteq] = ACTIONS(163),
    [sym_sr] = ACTIONS(161),
    [sym_sreq] = ACTIONS(163),
    [sym_usreq] = ACTIONS(163),
    [sym_usr] = ACTIONS(161),
    [sym_object_self_const] = ACTIONS(161),
    [sym_object_invalid_const] = ACTIONS(161),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(167), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
    ACTIONS(165), 38,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_sr,
      sym_object_self_const,
      sym_object_invalid_const,
  [72] = 2,
    ACTIONS(175), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
    ACTIONS(173), 39,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_sr,
      sym_object_self_const,
      sym_object_invalid_const,
  [140] = 4,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(179), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
    ACTIONS(177), 38,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_sr,
      sym_object_self_const,
      sym_object_invalid_const,
  [212] = 15,
    STATE(16), 1,
      sym__unary_expression,
    STATE(20), 1,
      sym__multiplicative_expression,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(38), 1,
      sym__inclusive_or_expression,
    STATE(42), 1,
      sym__logical_and_expression,
    STATE(57), 1,
      sym__logical_or_expression,
    STATE(62), 1,
      sym_expression,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(183), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(181), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [304] = 15,
    STATE(16), 1,
      sym__unary_expression,
    STATE(20), 1,
      sym__multiplicative_expression,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(38), 1,
      sym__inclusive_or_expression,
    STATE(42), 1,
      sym__logical_and_expression,
    STATE(57), 1,
      sym__logical_or_expression,
    STATE(63), 1,
      sym_expression,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(187), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(185), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [396] = 4,
    ACTIONS(195), 1,
      sym_sr,
    ACTIONS(193), 2,
      sym_sl,
      sym_usr,
    ACTIONS(191), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_gteq,
    ACTIONS(189), 37,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [465] = 2,
    ACTIONS(199), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
    ACTIONS(197), 38,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_sr,
      sym_object_self_const,
      sym_object_invalid_const,
  [530] = 4,
    ACTIONS(195), 1,
      sym_sr,
    ACTIONS(193), 2,
      sym_sl,
      sym_usr,
    ACTIONS(203), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_gteq,
    ACTIONS(201), 37,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [599] = 4,
    ACTIONS(209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(211), 2,
      sym_lteq,
      sym_gteq,
    ACTIONS(207), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
    ACTIONS(205), 35,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [665] = 4,
    ACTIONS(209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(211), 2,
      sym_lteq,
      sym_gteq,
    ACTIONS(215), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
    ACTIONS(213), 35,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [731] = 3,
    ACTIONS(221), 2,
      sym_noteq,
      sym_eq,
    ACTIONS(219), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(217), 35,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [791] = 3,
    ACTIONS(221), 2,
      sym_noteq,
      sym_eq,
    ACTIONS(225), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(223), 35,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [851] = 3,
    ACTIONS(231), 1,
      anon_sym_AMP,
    ACTIONS(229), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(227), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [909] = 3,
    ACTIONS(231), 1,
      anon_sym_AMP,
    ACTIONS(235), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(233), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [967] = 3,
    ACTIONS(241), 1,
      anon_sym_CARET,
    ACTIONS(239), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(237), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1024] = 3,
    ACTIONS(241), 1,
      anon_sym_CARET,
    ACTIONS(245), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(243), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1081] = 5,
    ACTIONS(157), 1,
      anon_sym_EQ,
    STATE(89), 1,
      sym_assignment_operator,
    ACTIONS(159), 9,
      sym_addeq,
      sym_subeq,
      sym_muleq,
      sym_modeq,
      sym_xoreq,
      sym_oreq,
      sym_sleq,
      sym_sreq,
      sym_usreq,
    ACTIONS(153), 12,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      sym_sl,
      sym_sr,
      sym_usr,
    ACTIONS(155), 27,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_gteq,
  [1142] = 2,
    ACTIONS(247), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_pre_include,
    ACTIONS(249), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1196] = 2,
    ACTIONS(161), 13,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ,
      sym_sl,
      sym_sr,
      sym_usr,
    ACTIONS(163), 36,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_addeq,
      sym_subeq,
      sym_muleq,
      sym_modeq,
      sym_xoreq,
      sym_andand,
      sym_oreq,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sleq,
      sym_gteq,
      sym_sreq,
      sym_usreq,
  [1250] = 2,
    ACTIONS(251), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_pre_include,
    ACTIONS(253), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1304] = 3,
    ACTIONS(259), 1,
      anon_sym_PIPE,
    ACTIONS(257), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(255), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1360] = 2,
    ACTIONS(261), 16,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_pre_include,
    ACTIONS(263), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1414] = 3,
    ACTIONS(259), 1,
      anon_sym_PIPE,
    ACTIONS(267), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_andand,
      sym_oror,
    ACTIONS(265), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1470] = 2,
    ACTIONS(271), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_COLON,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(269), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1523] = 3,
    ACTIONS(277), 1,
      sym_andand,
    ACTIONS(275), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_oror,
    ACTIONS(273), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1578] = 3,
    ACTIONS(277), 1,
      sym_andand,
    ACTIONS(281), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_QMARK,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
      sym_oror,
    ACTIONS(279), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1633] = 2,
    ACTIONS(285), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_COLON,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(283), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1686] = 2,
    ACTIONS(289), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(287), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1738] = 2,
    ACTIONS(293), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(291), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1790] = 2,
    ACTIONS(297), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(295), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1842] = 2,
    ACTIONS(301), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(299), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1894] = 2,
    ACTIONS(305), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(303), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1946] = 2,
    ACTIONS(309), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(307), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [1998] = 2,
    ACTIONS(313), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(311), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2050] = 2,
    ACTIONS(317), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_COLON,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(315), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2102] = 2,
    ACTIONS(321), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(319), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2154] = 2,
    ACTIONS(325), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(323), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2206] = 3,
    ACTIONS(327), 1,
      anon_sym_else,
    ACTIONS(313), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(311), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2260] = 2,
    ACTIONS(331), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(329), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2312] = 4,
    ACTIONS(337), 1,
      anon_sym_QMARK,
    ACTIONS(339), 1,
      sym_oror,
    ACTIONS(335), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(333), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2368] = 2,
    ACTIONS(343), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(341), 33,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2420] = 2,
    ACTIONS(347), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(345), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2470] = 2,
    ACTIONS(351), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(349), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2520] = 2,
    ACTIONS(187), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(185), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2570] = 2,
    ACTIONS(355), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(353), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2620] = 2,
    ACTIONS(183), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_comment,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(181), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2670] = 2,
    ACTIONS(359), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(357), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2719] = 2,
    ACTIONS(363), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(361), 32,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_case,
      anon_sym_default,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_while,
      anon_sym_for,
      sym_do_start,
      anon_sym_continue,
      anon_sym_break,
      sym_identifier,
      sym_integer,
      sym_return,
      sym_object_self_const,
      sym_object_invalid_const,
  [2768] = 3,
    ACTIONS(365), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(165), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_sr,
    ACTIONS(167), 31,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
  [2814] = 2,
    ACTIONS(173), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_sr,
    ACTIONS(175), 34,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
  [2858] = 3,
    ACTIONS(365), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(177), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_sr,
    ACTIONS(179), 31,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
  [2904] = 3,
    ACTIONS(369), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(371), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_sr,
    ACTIONS(367), 29,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
  [2947] = 3,
    ACTIONS(369), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_sr,
    ACTIONS(199), 29,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_sl,
      sym_gteq,
      sym_usr,
  [2990] = 21,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(373), 1,
      anon_sym_SEMI,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(185), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3067] = 21,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(375), 1,
      anon_sym_SEMI,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(175), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3144] = 21,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(377), 1,
      anon_sym_SEMI,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(176), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3221] = 4,
    ACTIONS(381), 1,
      sym_sr,
    ACTIONS(379), 2,
      sym_sl,
      sym_usr,
    ACTIONS(189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(191), 27,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_gteq,
  [3264] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(383), 1,
      anon_sym_RPAREN,
    STATE(16), 1,
      sym__unary_expression,
    STATE(20), 1,
      sym__multiplicative_expression,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(38), 1,
      sym__inclusive_or_expression,
    STATE(42), 1,
      sym__logical_and_expression,
    STATE(57), 1,
      sym__logical_or_expression,
    STATE(61), 1,
      sym_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3339] = 21,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(389), 1,
      anon_sym_RPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(158), 1,
      sym_argument_expression_list,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(159), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3416] = 21,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(391), 1,
      anon_sym_SEMI,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(193), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3493] = 4,
    ACTIONS(381), 1,
      sym_sr,
    ACTIONS(379), 2,
      sym_sl,
      sym_usr,
    ACTIONS(201), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(203), 27,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
      sym_lteq,
      sym_gteq,
  [3536] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(187), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3610] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(201), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3684] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(174), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3758] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(182), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3832] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(186), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3906] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(189), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [3980] = 20,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(171), 1,
      sym_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(52), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4054] = 18,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(16), 1,
      sym__unary_expression,
    STATE(20), 1,
      sym__multiplicative_expression,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(38), 1,
      sym__inclusive_or_expression,
    STATE(42), 1,
      sym__logical_and_expression,
    STATE(57), 1,
      sym__logical_or_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    STATE(41), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4123] = 19,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(144), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4194] = 19,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(163), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4265] = 19,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(41), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4336] = 19,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    STATE(183), 1,
      sym__conditional_expression,
    STATE(202), 1,
      sym_constant_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4407] = 19,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__unary_expression,
    STATE(68), 1,
      sym__multiplicative_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(162), 2,
      sym__conditional_expression,
      sym__assignment_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4478] = 4,
    ACTIONS(213), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(393), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(395), 2,
      sym_lteq,
      sym_gteq,
    ACTIONS(215), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
  [4518] = 17,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(38), 1,
      sym__inclusive_or_expression,
    STATE(42), 1,
      sym__logical_and_expression,
    STATE(44), 1,
      sym__conditional_expression,
    STATE(57), 1,
      sym__logical_or_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4584] = 18,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym__conditional_expression,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(123), 1,
      sym__logical_and_expression,
    STATE(124), 1,
      sym__logical_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4652] = 4,
    ACTIONS(205), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(393), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(395), 2,
      sym_lteq,
      sym_gteq,
    ACTIONS(207), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
      sym_noteq,
      sym_eq,
  [4692] = 16,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(118), 1,
      sym__inclusive_or_expression,
    STATE(122), 1,
      sym__logical_and_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4754] = 15,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(38), 1,
      sym__inclusive_or_expression,
    STATE(43), 1,
      sym__logical_and_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4814] = 10,
    ACTIONS(7), 1,
      anon_sym_const,
    ACTIONS(11), 1,
      anon_sym_struct,
    ACTIONS(13), 1,
      sym_pre_include,
    ACTIONS(397), 1,
      ts_builtin_sym_end,
    ACTIONS(399), 1,
      sym_comment,
    STATE(136), 1,
      sym__preprocessor_include,
    STATE(157), 1,
      sym_function_declarator,
    STATE(150), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    STATE(101), 6,
      sym__external_declaration,
      sym_declaration,
      sym_function_definition,
      sym_struct_definition,
      sym_preprocessor_directive,
      aux_sym_source_file_repeat1,
    ACTIONS(9), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [4863] = 15,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(114), 1,
      sym__exclusive_or_expression,
    STATE(116), 1,
      sym__inclusive_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4922] = 14,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(33), 1,
      sym__exclusive_or_expression,
    STATE(40), 1,
      sym__inclusive_or_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [4979] = 10,
    ACTIONS(401), 1,
      ts_builtin_sym_end,
    ACTIONS(403), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_const,
    ACTIONS(412), 1,
      anon_sym_struct,
    ACTIONS(415), 1,
      sym_pre_include,
    STATE(136), 1,
      sym__preprocessor_include,
    STATE(157), 1,
      sym_function_declarator,
    STATE(150), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    STATE(101), 6,
      sym__external_declaration,
      sym_declaration,
      sym_function_definition,
      sym_struct_definition,
      sym_preprocessor_directive,
      aux_sym_source_file_repeat1,
    ACTIONS(409), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [5028] = 14,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(111), 1,
      sym__and_expression,
    STATE(112), 1,
      sym__exclusive_or_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5084] = 3,
    ACTIONS(223), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(418), 2,
      sym_noteq,
      sym_eq,
    ACTIONS(225), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5118] = 13,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(31), 1,
      sym__and_expression,
    STATE(32), 1,
      sym__exclusive_or_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5172] = 3,
    ACTIONS(217), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(418), 2,
      sym_noteq,
      sym_eq,
    ACTIONS(219), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5206] = 12,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__relational_expression,
    STATE(29), 1,
      sym__equality_expression,
    STATE(30), 1,
      sym__and_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5257] = 13,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(103), 1,
      sym__equality_expression,
    STATE(109), 1,
      sym__and_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5310] = 12,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(92), 1,
      sym__relational_expression,
    STATE(105), 1,
      sym__equality_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5360] = 3,
    ACTIONS(227), 1,
      anon_sym_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP,
    ACTIONS(229), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5392] = 11,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym__relational_expression,
    STATE(28), 1,
      sym__equality_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5440] = 3,
    ACTIONS(233), 1,
      anon_sym_PIPE,
    ACTIONS(420), 1,
      anon_sym_AMP,
    ACTIONS(235), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5472] = 3,
    ACTIONS(237), 1,
      anon_sym_PIPE,
    ACTIONS(422), 1,
      anon_sym_CARET,
    ACTIONS(239), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5503] = 11,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(78), 1,
      sym__shift_expression,
    STATE(95), 1,
      sym__relational_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5550] = 3,
    ACTIONS(243), 1,
      anon_sym_PIPE,
    ACTIONS(422), 1,
      anon_sym_CARET,
    ACTIONS(245), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5581] = 10,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym__relational_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(25), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5626] = 2,
    ACTIONS(424), 1,
      anon_sym_PIPE,
    ACTIONS(267), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5654] = 10,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym__additive_expression,
    STATE(74), 1,
      sym__shift_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5698] = 2,
    ACTIONS(424), 1,
      anon_sym_PIPE,
    ACTIONS(257), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_andand,
      sym_oror,
  [5726] = 9,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    STATE(23), 2,
      sym__additive_expression,
      sym__shift_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5768] = 9,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym__additive_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(68), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5809] = 9,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(24), 1,
      sym__additive_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(20), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5850] = 2,
    ACTIONS(426), 1,
      sym_andand,
    ACTIONS(281), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_oror,
  [5877] = 2,
    ACTIONS(426), 1,
      sym_andand,
    ACTIONS(275), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
      sym_oror,
  [5904] = 3,
    ACTIONS(428), 1,
      anon_sym_QMARK,
    ACTIONS(430), 1,
      sym_oror,
    ACTIONS(335), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_SEMI,
  [5932] = 8,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    STATE(66), 2,
      sym__unary_expression,
      sym__multiplicative_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [5970] = 7,
    ACTIONS(432), 1,
      anon_sym_RPAREN,
    ACTIONS(434), 1,
      anon_sym_const,
    ACTIONS(440), 1,
      anon_sym_struct,
    STATE(126), 1,
      aux_sym__function_parameter_list,
    STATE(142), 1,
      sym__function_parameter_declaration,
    STATE(178), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    ACTIONS(437), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [6005] = 8,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym__unary_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [6042] = 8,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(67), 1,
      sym__unary_expression,
    ACTIONS(23), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(25), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [6079] = 7,
    ACTIONS(7), 1,
      anon_sym_const,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    ACTIONS(445), 1,
      anon_sym_struct,
    STATE(132), 1,
      aux_sym__function_parameter_list,
    STATE(142), 1,
      sym__function_parameter_declaration,
    STATE(178), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    ACTIONS(9), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [6114] = 8,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym__unary_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [6151] = 8,
    ACTIONS(15), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(19), 1,
      sym__unary_expression,
    ACTIONS(385), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(12), 2,
      sym__primary_expression,
      sym__postfix_expression,
    ACTIONS(21), 4,
      anon_sym_LBRACK,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(387), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_plusplus,
      sym_minusminus,
    ACTIONS(19), 5,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      sym_hex,
      sym_float,
      sym_string_const,
  [6188] = 7,
    ACTIONS(7), 1,
      anon_sym_const,
    ACTIONS(445), 1,
      anon_sym_struct,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    STATE(126), 1,
      aux_sym__function_parameter_list,
    STATE(142), 1,
      sym__function_parameter_declaration,
    STATE(178), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    ACTIONS(9), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [6223] = 6,
    ACTIONS(7), 1,
      anon_sym_const,
    ACTIONS(445), 1,
      anon_sym_struct,
    STATE(134), 1,
      sym_struct_declaration_list,
    STATE(146), 1,
      sym_struct_declaration,
    STATE(156), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    ACTIONS(9), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [6255] = 6,
    ACTIONS(7), 1,
      anon_sym_const,
    ACTIONS(445), 1,
      anon_sym_struct,
    ACTIONS(449), 1,
      anon_sym_RBRACE,
    STATE(148), 1,
      sym_struct_declaration,
    STATE(156), 2,
      sym__qualified_type_specifier,
      sym_type_specifier,
    ACTIONS(9), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [6287] = 1,
    ACTIONS(451), 18,
      ts_builtin_sym_end,
      sym_comment,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      sym_pre_include,
  [6308] = 1,
    ACTIONS(453), 18,
      ts_builtin_sym_end,
      sym_comment,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      sym_pre_include,
  [6329] = 2,
    ACTIONS(455), 7,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_identifier,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(457), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
  [6352] = 1,
    ACTIONS(459), 18,
      ts_builtin_sym_end,
      sym_comment,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      sym_pre_include,
  [6373] = 2,
    ACTIONS(463), 1,
      anon_sym_EQ,
    ACTIONS(461), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
  [6396] = 2,
    ACTIONS(465), 7,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_identifier,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(467), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_SEMI,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
  [6419] = 1,
    ACTIONS(469), 18,
      ts_builtin_sym_end,
      sym_comment,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      sym_pre_include,
  [6440] = 2,
    ACTIONS(473), 1,
      anon_sym_COMMA,
    ACTIONS(471), 16,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
  [6462] = 2,
    ACTIONS(475), 7,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_identifier,
      sym_integer,
      sym_object_self_const,
      sym_object_invalid_const,
    ACTIONS(477), 10,
      anon_sym_LPAREN,
      anon_sym_LBRACK_RBRACK,
      anon_sym_RBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      sym_hex,
      sym_float,
      sym_string_const,
      sym_plusplus,
      sym_minusminus,
  [6484] = 1,
    ACTIONS(479), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
  [6504] = 1,
    ACTIONS(432), 16,
      anon_sym_RPAREN,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
  [6523] = 1,
    ACTIONS(481), 16,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_RBRACE,
  [6542] = 1,
    ACTIONS(483), 16,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_RBRACE,
  [6561] = 1,
    ACTIONS(485), 16,
      anon_sym_const,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
      anon_sym_struct,
      anon_sym_RBRACE,
  [6580] = 3,
    ACTIONS(445), 1,
      anon_sym_struct,
    STATE(190), 1,
      sym_type_specifier,
    ACTIONS(9), 13,
      anon_sym_command,
      anon_sym_effect,
      anon_sym_event,
      anon_sym_float,
      anon_sym_int,
      anon_sym_itemproperty,
      anon_sym_location,
      anon_sym_object,
      anon_sym_sqlquery,
      anon_sym_string,
      anon_sym_talent,
      anon_sym_vector,
      anon_sym_void,
  [6602] = 3,
    ACTIONS(487), 1,
      sym_identifier,
    STATE(153), 1,
      sym__init_declarator_identifier,
    STATE(155), 2,
      sym__init_declarator_list,
      sym__init_declarator,
  [6613] = 2,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ,
  [6622] = 3,
    ACTIONS(493), 1,
      sym_identifier,
    STATE(153), 1,
      sym__init_declarator_identifier,
    STATE(155), 2,
      sym__init_declarator_list,
      sym__init_declarator,
  [6633] = 2,
    ACTIONS(497), 1,
      anon_sym_EQ,
    ACTIONS(495), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [6641] = 3,
    ACTIONS(493), 1,
      sym_identifier,
    STATE(153), 1,
      sym__init_declarator_identifier,
    STATE(164), 1,
      sym__init_declarator,
  [6651] = 2,
    ACTIONS(499), 1,
      anon_sym_COMMA,
    ACTIONS(501), 1,
      anon_sym_SEMI,
  [6658] = 2,
    ACTIONS(503), 1,
      sym_identifier,
    STATE(166), 1,
      sym_struct_declarator_list,
  [6665] = 2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    STATE(141), 1,
      sym_compound_statement,
  [6672] = 2,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    ACTIONS(507), 1,
      anon_sym_COMMA,
  [6679] = 1,
    ACTIONS(509), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [6684] = 2,
    ACTIONS(511), 1,
      sym_identifier,
    ACTIONS(513), 1,
      anon_sym_LBRACE,
  [6691] = 1,
    ACTIONS(515), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [6696] = 1,
    ACTIONS(517), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [6701] = 1,
    ACTIONS(519), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [6706] = 1,
    ACTIONS(521), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [6711] = 1,
    ACTIONS(523), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [6716] = 2,
    ACTIONS(525), 1,
      anon_sym_COMMA,
    ACTIONS(527), 1,
      anon_sym_SEMI,
  [6723] = 1,
    ACTIONS(529), 1,
      anon_sym_SEMI,
  [6727] = 1,
    ACTIONS(389), 1,
      sym_identifier,
  [6731] = 1,
    ACTIONS(531), 1,
      anon_sym_LPAREN,
  [6735] = 1,
    ACTIONS(533), 1,
      anon_sym_LPAREN,
  [6739] = 1,
    ACTIONS(535), 1,
      anon_sym_RPAREN,
  [6743] = 1,
    ACTIONS(511), 1,
      sym_identifier,
  [6747] = 1,
    ACTIONS(375), 1,
      anon_sym_SEMI,
  [6751] = 1,
    ACTIONS(537), 1,
      anon_sym_RPAREN,
  [6755] = 1,
    ACTIONS(539), 1,
      anon_sym_SEMI,
  [6759] = 1,
    ACTIONS(541), 1,
      anon_sym_SEMI,
  [6763] = 1,
    ACTIONS(543), 1,
      anon_sym_LBRACE,
  [6767] = 1,
    ACTIONS(545), 1,
      sym_identifier,
  [6771] = 1,
    ACTIONS(547), 1,
      sym_identifier,
  [6775] = 1,
    ACTIONS(549), 1,
      anon_sym_LPAREN,
  [6779] = 1,
    ACTIONS(551), 1,
      anon_sym_COLON,
  [6783] = 1,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
  [6787] = 1,
    ACTIONS(555), 1,
      anon_sym_COLON,
  [6791] = 1,
    ACTIONS(557), 1,
      anon_sym_LBRACE,
  [6795] = 1,
    ACTIONS(391), 1,
      anon_sym_SEMI,
  [6799] = 1,
    ACTIONS(559), 1,
      anon_sym_RPAREN,
  [6803] = 1,
    ACTIONS(561), 1,
      anon_sym_COLON,
  [6807] = 1,
    ACTIONS(563), 1,
      anon_sym_SEMI,
  [6811] = 1,
    ACTIONS(565), 1,
      anon_sym_RPAREN,
  [6815] = 1,
    ACTIONS(567), 1,
      sym_identifier,
  [6819] = 1,
    ACTIONS(569), 1,
      sym_identifier,
  [6823] = 1,
    ACTIONS(571), 1,
      anon_sym_while,
  [6827] = 1,
    ACTIONS(573), 1,
      anon_sym_SEMI,
  [6831] = 1,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
  [6835] = 1,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
  [6839] = 1,
    ACTIONS(579), 1,
      anon_sym_RBRACE,
  [6843] = 1,
    ACTIONS(581), 1,
      ts_builtin_sym_end,
  [6847] = 1,
    ACTIONS(583), 1,
      sym_string_const,
  [6851] = 1,
    ACTIONS(585), 1,
      sym_identifier,
  [6855] = 1,
    ACTIONS(587), 1,
      sym_identifier,
  [6859] = 1,
    ACTIONS(589), 1,
      anon_sym_COLON,
  [6863] = 1,
    ACTIONS(591), 1,
      anon_sym_COLON,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(18)] = 0,
  [SMALL_STATE(19)] = 72,
  [SMALL_STATE(20)] = 140,
  [SMALL_STATE(21)] = 212,
  [SMALL_STATE(22)] = 304,
  [SMALL_STATE(23)] = 396,
  [SMALL_STATE(24)] = 465,
  [SMALL_STATE(25)] = 530,
  [SMALL_STATE(26)] = 599,
  [SMALL_STATE(27)] = 665,
  [SMALL_STATE(28)] = 731,
  [SMALL_STATE(29)] = 791,
  [SMALL_STATE(30)] = 851,
  [SMALL_STATE(31)] = 909,
  [SMALL_STATE(32)] = 967,
  [SMALL_STATE(33)] = 1024,
  [SMALL_STATE(34)] = 1081,
  [SMALL_STATE(35)] = 1142,
  [SMALL_STATE(36)] = 1196,
  [SMALL_STATE(37)] = 1250,
  [SMALL_STATE(38)] = 1304,
  [SMALL_STATE(39)] = 1360,
  [SMALL_STATE(40)] = 1414,
  [SMALL_STATE(41)] = 1470,
  [SMALL_STATE(42)] = 1523,
  [SMALL_STATE(43)] = 1578,
  [SMALL_STATE(44)] = 1633,
  [SMALL_STATE(45)] = 1686,
  [SMALL_STATE(46)] = 1738,
  [SMALL_STATE(47)] = 1790,
  [SMALL_STATE(48)] = 1842,
  [SMALL_STATE(49)] = 1894,
  [SMALL_STATE(50)] = 1946,
  [SMALL_STATE(51)] = 1998,
  [SMALL_STATE(52)] = 2050,
  [SMALL_STATE(53)] = 2102,
  [SMALL_STATE(54)] = 2154,
  [SMALL_STATE(55)] = 2206,
  [SMALL_STATE(56)] = 2260,
  [SMALL_STATE(57)] = 2312,
  [SMALL_STATE(58)] = 2368,
  [SMALL_STATE(59)] = 2420,
  [SMALL_STATE(60)] = 2470,
  [SMALL_STATE(61)] = 2520,
  [SMALL_STATE(62)] = 2570,
  [SMALL_STATE(63)] = 2620,
  [SMALL_STATE(64)] = 2670,
  [SMALL_STATE(65)] = 2719,
  [SMALL_STATE(66)] = 2768,
  [SMALL_STATE(67)] = 2814,
  [SMALL_STATE(68)] = 2858,
  [SMALL_STATE(69)] = 2904,
  [SMALL_STATE(70)] = 2947,
  [SMALL_STATE(71)] = 2990,
  [SMALL_STATE(72)] = 3067,
  [SMALL_STATE(73)] = 3144,
  [SMALL_STATE(74)] = 3221,
  [SMALL_STATE(75)] = 3264,
  [SMALL_STATE(76)] = 3339,
  [SMALL_STATE(77)] = 3416,
  [SMALL_STATE(78)] = 3493,
  [SMALL_STATE(79)] = 3536,
  [SMALL_STATE(80)] = 3610,
  [SMALL_STATE(81)] = 3684,
  [SMALL_STATE(82)] = 3758,
  [SMALL_STATE(83)] = 3832,
  [SMALL_STATE(84)] = 3906,
  [SMALL_STATE(85)] = 3980,
  [SMALL_STATE(86)] = 4054,
  [SMALL_STATE(87)] = 4123,
  [SMALL_STATE(88)] = 4194,
  [SMALL_STATE(89)] = 4265,
  [SMALL_STATE(90)] = 4336,
  [SMALL_STATE(91)] = 4407,
  [SMALL_STATE(92)] = 4478,
  [SMALL_STATE(93)] = 4518,
  [SMALL_STATE(94)] = 4584,
  [SMALL_STATE(95)] = 4652,
  [SMALL_STATE(96)] = 4692,
  [SMALL_STATE(97)] = 4754,
  [SMALL_STATE(98)] = 4814,
  [SMALL_STATE(99)] = 4863,
  [SMALL_STATE(100)] = 4922,
  [SMALL_STATE(101)] = 4979,
  [SMALL_STATE(102)] = 5028,
  [SMALL_STATE(103)] = 5084,
  [SMALL_STATE(104)] = 5118,
  [SMALL_STATE(105)] = 5172,
  [SMALL_STATE(106)] = 5206,
  [SMALL_STATE(107)] = 5257,
  [SMALL_STATE(108)] = 5310,
  [SMALL_STATE(109)] = 5360,
  [SMALL_STATE(110)] = 5392,
  [SMALL_STATE(111)] = 5440,
  [SMALL_STATE(112)] = 5472,
  [SMALL_STATE(113)] = 5503,
  [SMALL_STATE(114)] = 5550,
  [SMALL_STATE(115)] = 5581,
  [SMALL_STATE(116)] = 5626,
  [SMALL_STATE(117)] = 5654,
  [SMALL_STATE(118)] = 5698,
  [SMALL_STATE(119)] = 5726,
  [SMALL_STATE(120)] = 5768,
  [SMALL_STATE(121)] = 5809,
  [SMALL_STATE(122)] = 5850,
  [SMALL_STATE(123)] = 5877,
  [SMALL_STATE(124)] = 5904,
  [SMALL_STATE(125)] = 5932,
  [SMALL_STATE(126)] = 5970,
  [SMALL_STATE(127)] = 6005,
  [SMALL_STATE(128)] = 6042,
  [SMALL_STATE(129)] = 6079,
  [SMALL_STATE(130)] = 6114,
  [SMALL_STATE(131)] = 6151,
  [SMALL_STATE(132)] = 6188,
  [SMALL_STATE(133)] = 6223,
  [SMALL_STATE(134)] = 6255,
  [SMALL_STATE(135)] = 6287,
  [SMALL_STATE(136)] = 6308,
  [SMALL_STATE(137)] = 6329,
  [SMALL_STATE(138)] = 6352,
  [SMALL_STATE(139)] = 6373,
  [SMALL_STATE(140)] = 6396,
  [SMALL_STATE(141)] = 6419,
  [SMALL_STATE(142)] = 6440,
  [SMALL_STATE(143)] = 6462,
  [SMALL_STATE(144)] = 6484,
  [SMALL_STATE(145)] = 6504,
  [SMALL_STATE(146)] = 6523,
  [SMALL_STATE(147)] = 6542,
  [SMALL_STATE(148)] = 6561,
  [SMALL_STATE(149)] = 6580,
  [SMALL_STATE(150)] = 6602,
  [SMALL_STATE(151)] = 6613,
  [SMALL_STATE(152)] = 6622,
  [SMALL_STATE(153)] = 6633,
  [SMALL_STATE(154)] = 6641,
  [SMALL_STATE(155)] = 6651,
  [SMALL_STATE(156)] = 6658,
  [SMALL_STATE(157)] = 6665,
  [SMALL_STATE(158)] = 6672,
  [SMALL_STATE(159)] = 6679,
  [SMALL_STATE(160)] = 6684,
  [SMALL_STATE(161)] = 6691,
  [SMALL_STATE(162)] = 6696,
  [SMALL_STATE(163)] = 6701,
  [SMALL_STATE(164)] = 6706,
  [SMALL_STATE(165)] = 6711,
  [SMALL_STATE(166)] = 6716,
  [SMALL_STATE(167)] = 6723,
  [SMALL_STATE(168)] = 6727,
  [SMALL_STATE(169)] = 6731,
  [SMALL_STATE(170)] = 6735,
  [SMALL_STATE(171)] = 6739,
  [SMALL_STATE(172)] = 6743,
  [SMALL_STATE(173)] = 6747,
  [SMALL_STATE(174)] = 6751,
  [SMALL_STATE(175)] = 6755,
  [SMALL_STATE(176)] = 6759,
  [SMALL_STATE(177)] = 6763,
  [SMALL_STATE(178)] = 6767,
  [SMALL_STATE(179)] = 6771,
  [SMALL_STATE(180)] = 6775,
  [SMALL_STATE(181)] = 6779,
  [SMALL_STATE(182)] = 6783,
  [SMALL_STATE(183)] = 6787,
  [SMALL_STATE(184)] = 6791,
  [SMALL_STATE(185)] = 6795,
  [SMALL_STATE(186)] = 6799,
  [SMALL_STATE(187)] = 6803,
  [SMALL_STATE(188)] = 6807,
  [SMALL_STATE(189)] = 6811,
  [SMALL_STATE(190)] = 6815,
  [SMALL_STATE(191)] = 6819,
  [SMALL_STATE(192)] = 6823,
  [SMALL_STATE(193)] = 6827,
  [SMALL_STATE(194)] = 6831,
  [SMALL_STATE(195)] = 6835,
  [SMALL_STATE(196)] = 6839,
  [SMALL_STATE(197)] = 6843,
  [SMALL_STATE(198)] = 6847,
  [SMALL_STATE(199)] = 6851,
  [SMALL_STATE(200)] = 6855,
  [SMALL_STATE(201)] = 6859,
  [SMALL_STATE(202)] = 6863,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [57] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(15),
  [60] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(85),
  [63] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(12),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(12),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(127),
  [72] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(127),
  [75] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(54),
  [78] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(149),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(200),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(191),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(90),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(181),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(2),
  [96] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2),
  [98] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(194),
  [101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(195),
  [104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(180),
  [107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(170),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(7),
  [113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(173),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2), SHIFT_REPEAT(140),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_list, 1),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 3),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 3),
  [127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression, 3),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression, 3),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression, 2),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression, 2),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression, 4),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression, 4),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiplicative_expression, 1),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiplicative_expression, 1),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 2),
  [163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 2),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__additive_expression, 3),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__additive_expression, 3),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiplicative_expression, 3),
  [175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiplicative_expression, 3),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__additive_expression, 1),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__additive_expression, 1),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_start, 5),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_start, 5),
  [185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_start, 4),
  [187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_start, 4),
  [189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__relational_expression, 3),
  [191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__relational_expression, 3),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shift_expression, 3),
  [199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shift_expression, 3),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__relational_expression, 1),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__relational_expression, 1),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__equality_expression, 3),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__equality_expression, 3),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__equality_expression, 1),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__equality_expression, 1),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__and_expression, 3),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__and_expression, 3),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__and_expression, 1),
  [225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__and_expression, 1),
  [227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exclusive_or_expression, 3),
  [229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclusive_or_expression, 3),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exclusive_or_expression, 1),
  [235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclusive_or_expression, 1),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inclusive_or_expression, 3),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inclusive_or_expression, 3),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inclusive_or_expression, 1),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inclusive_or_expression, 1),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logical_and_expression, 1),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logical_and_expression, 1),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logical_and_expression, 3),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logical_and_expression, 3),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_expression, 3),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression, 3),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logical_or_expression, 1),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logical_or_expression, 1),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logical_or_expression, 3),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logical_or_expression, 3),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_expression, 5),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_expression, 5),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labelled_statement, 1),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labelled_statement, 1),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iteration_statement, 2),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iteration_statement, 2),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jump_statement, 2),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jump_statement, 2),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_blank_error, 1),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_blank_error, 1),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selection_statement, 2),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selection_statement, 2),
  [315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iteration_statement, 6),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iteration_statement, 6),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_expression, 1),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_expression, 1),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jump_statement, 3),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jump_statement, 3),
  [345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_start, 4),
  [347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_start, 4),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_start, 4),
  [351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_start, 4),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_start, 6),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_start, 6),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_else_start, 3),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_else_start, 3),
  [361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_start, 4),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_start, 4),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shift_expression, 1),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shift_expression, 1),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(101),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(149),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(200),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(199),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(198),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_parameter_list, 2),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_parameter_list, 2), SHIFT_REPEAT(149),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_parameter_list, 2), SHIFT_REPEAT(200),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_parameter_list, 2), SHIFT_REPEAT(191),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preprocessor_directive, 1),
  [455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_start_start, 2),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_start_start, 2),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preprocessor_include, 2),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_parameter_declaration, 2),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_start, 1),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_start, 1),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_parameter_list, 1),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_operator, 1),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_operator, 1),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_parameter_declaration, 4),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration_list, 1),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 3),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration_list, 2),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__init_declarator_identifier, 1),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__init_declarator, 1),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression_list, 1),
  [511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 2),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declarator_list, 3),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__init_declarator, 3),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression_list, 3),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__init_declarator_list, 3),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declarator_list, 1),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_expression, 1),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 5),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_type_specifier, 2),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [581] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_nwscript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const uint16_t *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .field_count = FIELD_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .state_count = STATE_COUNT,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
